<?php
/**
 * Skeleton base application file.
 *
 * $Horde: skeleton/lib/base.php,v 1.13 2004/10/19 00:46:09 chuck Exp $
 *
 * This file brings in all of the dependencies that every Skeleton
 * script will need, and sets up objects that all scripts use.
 */

// Check for a prior definition of HORDE_BASE (perhaps by an
// auto_prepend_file definition for site customization).
if (!defined('HORDE_BASE')) {
    @define('HORDE_BASE', dirname(__FILE__) . '/../..');
}

// Load the Horde Framework core, and set up inclusion paths.
require_once HORDE_BASE . '/lib/core.php';

// Registry.
$registry = &Registry::singleton();
if (is_a(($pushed = $registry->pushApp('skeleton', !defined('AUTH_HANDLER'))), 'PEAR_Error')) {
    if ($pushed->getCode() == 'permission_denied') {
        Horde::authenticationFailureRedirect(); 
    }
    Horde::fatal($pushed, __FILE__, __LINE__, false);
}
$conf = &$GLOBALS['conf'];
@define('SKELETON_TEMPLATES', $registry->get('templates'));

// Notification system.
$notification = &Notification::singleton();
$notification->attach('status');

// Define the base file path of Skeleton.
@define('SKELETON_BASE', dirname(__FILE__) . '/..');

// Skeleton base library
require_once SKELETON_BASE . '/lib/Skeleton.php';

// Help.
require_once 'Horde/Help.php';

// Start output compression.
Horde::compressOutput();
